Ask Bill!

Plaid Check

API reference for Plaid Check endpoints and webhooks

This page provides documentation for legacy endpoints used for Plaid Check integrations prior to October 2026. For the newest CRA endpoints, see the Plaid Check API reference.

Endpoints
/cra/check_report/base_report/getRetrieve the base Consumer Report for your user
/cra/check_report/income_insights/getRetrieve income insights from your user's banks
/cra/check_report/network_insights/getRetrieve connection insights from the Plaid network (beta)
/cra/check_report/partner_insights/getRetrieve cash flow insights from our partners
/cra/check_report/pdf/getRetrieve a Consumer Report in PDF format
/cra/check_report/cashflow_insights/getRetrieve Cash Flow Insights report
/cra/check_report/lend_score/getRetrieve a Plaid LendScore generated from your user's banking data
/cra/check_report/verification/getRetrieve Verification Reports (Home Lending Report, Employment Refresh) for your user
/cra/check_report/verification/pdf/getRetrieve Verification Reports in PDF format
/cra/check_report/createGenerate a new Consumer Report for your user with the latest data
/cra/servicing/subscription/createSubscribe a user to recurring report generation
/cra/servicing/subscription/getRetrieve a Servicing subscription
/cra/servicing/subscription/listList a user's Servicing subscriptions
/cra/servicing/subscription/updateUpdate a Servicing subscription
/cra/servicing/subscription/deleteDelete a Servicing subscription
/cra/monitoring_insights/getGet Cash Flow Updates (deprecated)
/cra/monitoring_insights/subscribeSubscribe to Cash Flow Updates (deprecated)
/cra/monitoring_insights/unsubscribeUnsubscribe from Cash Flow Updates (deprecated)
See also
Migrate to new User APIsMigration guide for existing Consumer Report integrations on legacy User APIs
ServicingGuide to subscribing users to recurring Consumer Report updates
/link/token/createCreate a token for initializing a Link session with Plaid Check
/user/createCreate a user for use with Plaid Check
/user/updateUpdate an existing user token to work with Plaid Check, or change user details
/user/items/getReturns Items associated with a user along with their corresponding statuses
/sandbox/cra/servicing/simulateSimulate a Servicing report generation for a subscription (Sandbox only)
/sandbox/cra/cashflow_updates/updateManually trigger a cashflow insights update for a user (Sandbox only)
Webhooks
USER_CHECK_REPORT_READYA Consumer Report is ready to be retrieved
USER_CHECK_REPORT_FAILEDPlaid Check failed to create a report
CHECK_REPORT_READYA Consumer Report is ready to be retrieved (legacy)
CHECK_REPORT_FAILEDPlaid Check failed to create a report (legacy)
Servicing webhooks
CRA_REPORT_UPDATEDA CRA report has been refreshed
Legacy Cash Flow Updates webhooks
CASH_FLOW_INSIGHTS_UPDATEDInsights have been refreshed (Cash Flow Updates)
INSIGHTS_UPDATEDInsights have been refreshed (legacy)
LARGE_DEPOSIT_DETECTEDA large deposit over $5000 has been detected (legacy)
LOW_BALANCE_DETECTEDCurrent balance has crossed below $100 (legacy)
NEW_LOAN_PAYMENT_DETECTEDA new loan payment has been detected (legacy)
NSF_OVERDRAFT_DETECTEDAn overdraft transaction has been detected (legacy)
=*=*=*=

/cra/check_report/base_report/get

Retrieve a Base Report

This endpoint allows you to retrieve the Base Report for your user, allowing you to receive comprehensive bank account and cash flow data. You should call this endpoint after you've received a CHECK_REPORT_READY or a USER_CHECK_REPORT_READY webhook, either after the Link session for the user or after calling /cra/check_report/create. If the most recent consumer report for the user doesn't have sufficient data to generate the base report, or the consumer report has expired, you will receive an error indicating that you should create a new consumer report by calling /cra/check_report/create.

/cra/check_report/base_report/get

Request fields

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

user_id
stringstring

A unique user identifier, created by /user/create. Integrations that began using /user/create after December 10, 2025 use this field to identify a user instead of the user_token. For more details, see New User APIs.

user_token
stringstring

The user token associated with the user for which data is being requested. This field is used only by customers with pre-existing integrations that already use the user_token field. All other customers should use the user_id instead. For more details, see New User APIs.

/cra/check_report/base_report/get
try {
  const response = await client.craCheckReportBaseReportGet({
    user_id: 'usr_9nSp2KuZ2x4JDw',
  });
} catch (error) {
  // handle error
}
/cra/check_report/base_report/get

Response fields

report
objectobject

An object representing a Base Report

report_id
stringstring

A unique ID identifying a Base Report. Like all Plaid identifiers, this ID is case sensitive.

date_generated
stringstring

The date and time when the Base Report was created, in ISO 8601 format (e.g. "2018-04-12T03:32:11Z").

Format: date-time
days_requested
numbernumber

The number of days of transaction history requested.

client_report_id
nullablestringnullable, string

Client-generated identifier, which can be used by lenders to track loan applications.

items
[object][object]

Data returned by Plaid about each of the Items included in the Base Report.

institution_name
stringstring

The full financial institution name associated with the Item.

institution_id
stringstring

The id of the financial institution associated with the Item.

date_last_updated
stringstring

The date and time when this Item's data was last retrieved from the financial institution, in ISO 8601 format.

Format: date-time
item_id
stringstring

The item_id of the Item associated with this webhook, warning, or error

accounts
[object][object]

Data about each of the accounts open on the Item.

account_id
stringstring

Plaid's unique identifier for the account. This value will not change unless Plaid can't reconcile the account with the data returned by the financial institution. This may occur, for example, when the name of the account changes. If this happens a new account_id will be assigned to the account.

If an account with a specific account_id disappears instead of changing, the account is likely closed. Closed accounts are not returned by the Plaid API.

Like all Plaid identifiers, the account_id is case sensitive.

balances
objectobject

Information about an account's balances.

available
nullablenumbernullable, number

The amount of funds available to be withdrawn from the account, as determined by the financial institution.

For credit-type accounts, the available balance typically equals the limit less the current balance, less any pending outflows plus any pending inflows.

For depository-type accounts, the available balance typically equals the current balance less any pending outflows plus any pending inflows. For depository-type accounts, the available balance does not include the overdraft limit.

For investment-type accounts (or brokerage-type accounts for API versions 2018-05-22 and earlier), the available balance is the total cash available to withdraw as presented by the institution.

Note that not all institutions calculate the available balance. In the event that available balance is unavailable, Plaid will return an available balance value of null.

Available balance may be cached and is not guaranteed to be up-to-date in real-time unless the value was returned by /accounts/balance/get.

If current is null this field is guaranteed not to be null.

Format: double
current
nullablenumbernullable, number

The total amount of funds in or owed by the account.

For credit-type accounts, a positive balance indicates the amount owed; a negative amount indicates the lender owing the account holder.

For loan-type accounts, the current balance is the principal remaining on the loan, except in the case of student loan accounts at Sallie Mae (ins_116944). For Sallie Mae student loans, the account's balance includes both principal and any outstanding interest.

For investment-type accounts (or brokerage-type accounts for API versions 2018-05-22 and earlier), the current balance is the total value of assets as presented by the institution.

Note that balance information may be cached unless the value was returned by /accounts/balance/get; if the Item is enabled for Transactions, the balance will be at least as recent as the most recent Transaction update. If you require real-time balance information, use the available balance as provided by /accounts/balance/get.

When returned by /accounts/balance/get, this field may be null. When this happens, available is guaranteed not to be null.

Format: double
limit
nullablenumbernullable, number

For credit-type accounts, this represents the credit limit.

For depository-type accounts, this represents the pre-arranged overdraft limit, which is common for current (checking) accounts in Europe.

In North America, this field is typically only available for credit-type accounts.

Format: double
iso_currency_code
nullablestringnullable, string

The ISO-4217 currency code of the balance. Always null if unofficial_currency_code is non-null.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

See the currency code schema for a full listing of supported unofficial_currency_codes.

average_balance
nullablenumbernullable, number

The average historical balance for the entire report

Format: double
average_monthly_balances
[object][object]

The average historical balance of each calendar month

start_date
stringstring

The start date of this time period. The date will be returned in an ISO 8601 format (YYYY-MM-DD).

end_date
stringstring

The end date of this time period. The date will be returned in an ISO 8601 format (YYYY-MM-DD).

average_balance
objectobject

This contains an amount, denominated in the currency specified by either iso_currency_code or unofficial_currency_code

amount
numbernumber

Value of amount with up to 2 decimal places.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

most_recent_thirty_day_average_balance
nullablenumbernullable, number

The average historical balance from the most recent 30 days

Format: double
consumer_disputes
[object][object]

The information about previously submitted valid dispute statements by the consumer

consumer_dispute_id
deprecatedstringdeprecated, string

(Deprecated) A unique identifier (UUID) of the consumer dispute that can be used for troubleshooting

dispute_field_create_date
stringstring

Date of the disputed field (e.g. transaction date), in an ISO 8601 format (YYYY-MM-DD)

Format: date
category
stringstring

Type of data being disputed by the consumer

Possible values: TRANSACTION, BALANCE, IDENTITY, OTHER
statement
stringstring

Text content of dispute

mask
nullablestringnullable, string

The last 2-4 alphanumeric characters of an account's official account number. Note that the mask may be non-unique between an Item's accounts, and it may also not match the mask that the bank displays to the user.

metadata
objectobject

Metadata about the extracted account.

start_date
nullablestringnullable, string

The beginning of the range of the financial institution provided data for the account, in ISO 8601 format ("yyyy-mm-dd").

Format: date
end_date
nullablestringnullable, string

The end of the range of the financial institution provided data for the account, in ISO 8601 format ("yyyy-mm-dd").

Format: date
name
stringstring

The name of the account, either assigned by the user or by the financial institution itself

official_name
nullablestringnullable, string

The official name of the account as given by the financial institution

type
stringstring

investment: Investment account. In API versions 2018-05-22 and earlier, this type is called brokerage instead.

credit: Credit card

depository: Depository account

loan: Loan account

other: Non-specified account type

See the Account type schema for a full listing of account types and corresponding subtypes.

Possible values: investment, credit, depository, loan, brokerage, other
subtype
nullablestringnullable, string

See the Account type schema for a full listing of account types and corresponding subtypes.

Possible values: 401a, 401k, 403B, 457b, 529, auto, brokerage, business, cash isa, cash management, cd, checking, commercial, commercial line of credit, construction, consumer, credit card, crypto exchange, ebt, education savings account, fhsa, fixed annuity, gic, health reimbursement arrangement, home equity, home equity loan, hsa, isa, ira, keogh, lif, life insurance, limited purpose checking, line of credit, lira, loan, lrif, lrsp, money market, mortgage, mutual fund, non-custodial wallet, non-taxable brokerage account, other, other insurance, other annuity, overdraft, paypal, payroll, pension, prediction market, prepaid, prif, profit sharing plan, qshr, rdsp, resp, retirement, rlif, roth, roth 401k, roth 403B, roth 457b, roth pension, roth profit sharing plan, roth thrift savings plan, rrif, rrsp, sarsep, savings, sep ira, simple ira, sipp, stock plan, student, thrift savings plan, tfsa, trust, ugma, utma, variable annuity
days_available
numbernumber

The duration of transaction history available within this report for this Item, typically defined as the time since the date of the earliest transaction in that account.

transactions
[object][object]

Transaction history associated with the account. Transaction history returned by endpoints such as /transactions/get or /investments/transactions/get will be returned in the top-level transactions field instead. Some transactions may have their details masked in accordance with the FCRA. These will appear with a credit_category of MASKED_TRANSACTION_CATEGORY.

account_id
stringstring

The ID of the account in which this transaction occurred.

amount
numbernumber

The settled value of the transaction, denominated in the transaction's currency, as stated in iso_currency_code or unofficial_currency_code. Positive values when money moves out of the account; negative values when money moves in. For example, debit card purchases are positive; credit card payments, direct deposits, and refunds are negative.

Format: double
iso_currency_code
nullablestringnullable, string

The ISO-4217 currency code of the transaction. Always null if unofficial_currency_code is non-null.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the transaction. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

See the currency code schema for a full listing of supported unofficial_currency_codes.

original_description
nullablestringnullable, string

The string returned by the financial institution to describe the transaction.

credit_category
nullableobjectnullable, object

Information describing the intent of the transaction. Most relevant for credit use cases, but not limited to such use cases.

See the taxonomy csv file for a full list of credit categories.

primary
nullablestringnullable, string

A high level category that communicates the broad category of the transaction. Can be null when no credit category is available.

detailed
nullablestringnullable, string

A granular category conveying the transaction's intent. This field can also be used as a unique identifier for the category. Can be null when no credit category is available.

check_number
nullablestringnullable, string

The check number of the transaction. This field is only populated for check transactions.

date
stringstring

For pending transactions, the date that the transaction occurred; for posted transactions, the date that the transaction posted. Both dates are returned in an ISO 8601 format ( YYYY-MM-DD ).

Format: date
date_transacted
nullablestringnullable, string

The date on which the transaction took place, in ISO 8601 format.

location
objectobject

A representation of where a transaction took place. Location data is provided only for transactions at physical locations, not for online transactions. Location data availability depends primarily on the merchant and is most likely to be populated for transactions at large retail chains; small, local businesses are less likely to have location data available.

address
nullablestringnullable, string

The street address where the transaction occurred.

city
nullablestringnullable, string

The city where the transaction occurred.

region
nullablestringnullable, string

The region or state where the transaction occurred. In API versions 2018-05-22 and earlier, this field is called state.

postal_code
nullablestringnullable, string

The postal code where the transaction occurred. In API versions 2018-05-22 and earlier, this field is called zip.

country
nullablestringnullable, string

The ISO 3166-1 alpha-2 country code where the transaction occurred.

lat
nullablenumbernullable, number

The latitude where the transaction occurred.

Format: double
lon
nullablenumbernullable, number

The longitude where the transaction occurred.

Format: double
store_number
nullablestringnullable, string

The merchant defined store number where the transaction occurred.

merchant_name
nullablestringnullable, string

The merchant name, as enriched by Plaid from the name field. This is typically a more human-readable version of the merchant counterparty in the transaction. For some bank transactions (such as checks or account transfers) where there is no meaningful merchant name, this value will be null.

pending
booleanboolean

When true, identifies the transaction as pending or unsettled. Pending transaction details (name, type, amount, category ID) may change before they are settled.

account_owner
nullablestringnullable, string

The name of the account owner. This field is not typically populated and only relevant when dealing with sub-accounts.

transaction_id
stringstring

The unique ID of the transaction. Like all Plaid identifiers, the transaction_id is case sensitive.

owners
[object][object]

Data returned by the financial institution about the account owner or owners. For business accounts, the name reported may be either the name of the individual or the name of the business, depending on the institution. Multiple owners on a single account will be represented in the same owner object, not in multiple owner objects within the array. This array can also be empty if no owners are found.

names
[string][string]

A list of names associated with the account by the financial institution. In the case of a joint account, Plaid will make a best effort to report the names of all account holders.

If an Item contains multiple accounts with different owner names, some institutions will report all names associated with the Item in each account's names array.

phone_numbers
[object][object]

A list of phone numbers associated with the account by the financial institution. May be an empty array if no relevant information is returned from the financial institution.

data
stringstring

The phone number.

primary
booleanboolean

When true, identifies the phone number as the primary number on an account.

type
stringstring

The type of phone number.

Possible values: home, work, office, mobile, mobile1, other
emails
[object][object]

A list of email addresses associated with the account by the financial institution. May be an empty array if no relevant information is returned from the financial institution.

data
stringstring

The email address.

primary
booleanboolean

When true, identifies the email address as the primary email on an account.

type
stringstring

The type of email account as described by the financial institution.

Possible values: primary, secondary, other
addresses
[object][object]

Data about the various addresses associated with the account by the financial institution. May be an empty array if no relevant information is returned from the financial institution.

data
objectobject

Data about the components comprising an address.

city
nullablestringnullable, string

The full city name

region
nullablestringnullable, string

The region or state. In API versions 2018-05-22 and earlier, this field is called state. Example: "NC"

street
nullablestringnullable, string

The full street address Example: "564 Main Street, APT 15"

postal_code
nullablestringnullable, string

The postal code. In API versions 2018-05-22 and earlier, this field is called zip.

country
nullablestringnullable, string

The ISO 3166-1 alpha-2 country code

primary
booleanboolean

When true, identifies the address as the primary address on an account.

ownership_type
nullablestringnullable, string

How an asset is owned.

association: Ownership by a corporation, partnership, or unincorporated association, including for-profit and not-for-profit organizations.

individual: Ownership by an individual.

joint: Joint ownership by multiple parties.

trust: Ownership by a revocable or irrevocable trust.

Possible values: null, individual, joint, association, trust
account_insights
deprecatedobjectdeprecated, object

Calculated insights derived from transaction-level data. This field has been deprecated in favor of Base Report attributes aggregated across accounts and will be removed in a future release.

oldest_transaction_date
nullablestringnullable, string

Date of the earliest transaction for the account.

Format: date
most_recent_transaction_date
nullablestringnullable, string

Date of the most recent transaction for the account.

Format: date
days_available
integerinteger

Number of days available for the account.

average_days_between_transactions
numbernumber

Average number of days between sequential transactions

longest_gaps_between_transactions
[object][object]

Longest gap between sequential transactions in a time period. This array can include multiple time periods.

start_date
stringstring

The start date of this time period. The date will be returned in an ISO 8601 format (YYYY-MM-DD).

Format: date
end_date
stringstring

The end date of this time period. The date will be returned in an ISO 8601 format (YYYY-MM-DD).

Format: date
days
nullableintegernullable, integer

Largest number of days between sequential transactions for this time period.

number_of_inflows
[object][object]

The number of transactions that moved money into the account. This array will be empty for non-depository accounts.

start_date
stringstring

The start date of this time period. The date will be returned in an ISO 8601 format (YYYY-MM-DD).

Format: date
end_date
stringstring

The end date of this time period. The date will be returned in an ISO 8601 format (YYYY-MM-DD).

Format: date
count
integerinteger

The number of credits or debits out of the account for this time period.

average_inflow_amounts
[object][object]

Average amount of transactions that moved money into the account in a time period. This array will be empty for non-depository accounts. This field only takes into account USD transactions from the account.

start_date
stringstring

The start date of this time period. The date will be returned in an ISO 8601 format (YYYY-MM-DD).

Format: date
end_date
stringstring

The end date of this time period. The date will be returned in an ISO 8601 format (YYYY-MM-DD).

Format: date
total_amount
objectobject

This contains an amount, denominated in the currency specified by either iso_currency_code or unofficial_currency_code

amount
numbernumber

Value of amount with up to 2 decimal places.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

number_of_outflows
[object][object]

The number of outflows from the account. This array will be empty for non-depository accounts.

start_date
stringstring

The start date of this time period. The date will be returned in an ISO 8601 format (YYYY-MM-DD).

Format: date
end_date
stringstring

The end date of this time period. The date will be returned in an ISO 8601 format (YYYY-MM-DD).

Format: date
count
integerinteger

The number of credits or debits out of the account for this time period.

average_outflow_amounts
[object][object]

Average amount of transactions out of the account in a time period. This array will be empty for non-depository accounts. This field only takes into account USD transactions from the account.

start_date
stringstring

The start date of this time period. The date will be returned in an ISO 8601 format (YYYY-MM-DD).

Format: date
end_date
stringstring

The end date of this time period. The date will be returned in an ISO 8601 format (YYYY-MM-DD).

Format: date
total_amount
objectobject

This contains an amount, denominated in the currency specified by either iso_currency_code or unofficial_currency_code

amount
numbernumber

Value of amount with up to 2 decimal places.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

number_of_days_no_transactions
integerinteger

Number of days with no transactions

attributes
objectobject

Calculated attributes derived from transaction-level data.

is_primary_account
nullablebooleannullable, boolean

Prediction indicator of whether the account is a primary account. Only one account per account type across the items connected will have a value of true.

primary_account_score
nullablenumbernullable, number

Value ranging from 0-1. The higher the score, the more confident we are of the account being the primary account.

nsf_overdraft_transactions_count
integerinteger

The number of net NSF fee transactions for a given account within the report time range (not counting any fees that were reversed within the time range).

nsf_overdraft_transactions_count_30d
integerinteger

The number of net NSF fee transactions within the last 30 days for a given account (not counting any fees that were reversed within the time range).

nsf_overdraft_transactions_count_60d
integerinteger

The number of net NSF fee transactions within the last 60 days for a given account (not counting any fees that were reversed within the time range).

nsf_overdraft_transactions_count_90d
integerinteger

The number of net NSF fee transactions within the last 90 days for a given account (not counting any fees that were reversed within the time range).

total_inflow_amount
nullableobjectnullable, object

Total amount of money into the account in the time period of the report. For non-depository accounts, or accounts with no transactions, amount is 0 and both currency codes are null. This field only takes into account USD transactions from the account.

amount
numbernumber

Value of amount with up to 2 decimal places.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

total_inflow_amount_30d
nullableobjectnullable, object

Total amount of money into the account in the last 30 days. For non-depository accounts, or accounts with no transactions, amount is 0 and both currency codes are null. This field only takes into account USD transactions from the account.

amount
numbernumber

Value of amount with up to 2 decimal places.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

total_inflow_amount_60d
nullableobjectnullable, object

Total amount of money into the account in the last 60 days. For non-depository accounts, or accounts with no transactions, amount is 0 and both currency codes are null. This field only takes into account USD transactions from the account.

amount
numbernumber

Value of amount with up to 2 decimal places.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

total_inflow_amount_90d
nullableobjectnullable, object

Total amount of money into the account in the last 90 days. For non-depository accounts, or accounts with no transactions, amount is 0 and both currency codes are null. This field only takes into account USD transactions from the account.

amount
numbernumber

Value of amount with up to 2 decimal places.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

total_outflow_amount
nullableobjectnullable, object

Total amount of money out of the account in the time period of the report. For non-depository accounts, or accounts with no transactions, amount is 0 and both currency codes are null. This field only takes into account USD transactions from the account.

amount
numbernumber

Value of amount with up to 2 decimal places.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

total_outflow_amount_30d
nullableobjectnullable, object

Total amount of money out of the account in the last 30 days. For non-depository accounts, or accounts with no transactions, amount is 0 and both currency codes are null. This field only takes into account USD transactions from the account.

amount
numbernumber

Value of amount with up to 2 decimal places.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

total_outflow_amount_60d
nullableobjectnullable, object

Total amount of money out of the account in the last 60 days. For non-depository accounts, or accounts with no transactions, amount is 0 and both currency codes are null. This field only takes into account USD transactions from the account.

amount
numbernumber

Value of amount with up to 2 decimal places.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

total_outflow_amount_90d
nullableobjectnullable, object

Total amount of money out of the account in the last 90 days. For non-depository accounts, or accounts with no transactions, amount is 0 and both currency codes are null. This field only takes into account USD transactions from the account.

amount
numbernumber

Value of amount with up to 2 decimal places.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

attributes
objectobject

Calculated attributes derived from transaction-level data, aggregated across accounts.

nsf_overdraft_transactions_count
integerinteger

The number of net NSF fee transactions in the time range for the report (not counting any fees that were reversed within that time range).

nsf_overdraft_transactions_count_30d
integerinteger

The number of net NSF fee transactions in the last 30 days in the report (not counting any fees that were reversed within that time range).

nsf_overdraft_transactions_count_60d
integerinteger

The number of net NSF fee transactions in the last 60 days in the report (not counting any fees that were reversed within that time range).

nsf_overdraft_transactions_count_90d
integerinteger

The number of net NSF fee transactions in the last 90 days in the report (not counting any fees that were reversed within that time range).

total_inflow_amount
nullableobjectnullable, object

Total amount of money into the report's accounts in the time period of the report. This field only takes into account USD transactions from the accounts.

amount
numbernumber

Value of amount with up to 2 decimal places.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

total_inflow_amount_30d
nullableobjectnullable, object

Total amount of money into the report's accounts in the last 30 days. This field only takes into account USD transactions from the accounts.

amount
numbernumber

Value of amount with up to 2 decimal places.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

total_inflow_amount_60d
nullableobjectnullable, object

Total amount of money into the report's accounts in the last 60 days. This field only takes into account USD transactions from the accounts.

amount
numbernumber

Value of amount with up to 2 decimal places.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

total_inflow_amount_90d
nullableobjectnullable, object

Total amount of money into the report's accounts in the last 90 days. This field only takes into account USD transactions from the accounts.

amount
numbernumber

Value of amount with up to 2 decimal places.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

total_outflow_amount
nullableobjectnullable, object

Total amount of money out of the report's accounts in the time period of the report. This field only takes into account USD transactions from the accounts.

amount
numbernumber

Value of amount with up to 2 decimal places.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

total_outflow_amount_30d
nullableobjectnullable, object

Total amount of money out of the report's accounts in the last 30 days. This field only takes into account USD transactions from the accounts.

amount
numbernumber

Value of amount with up to 2 decimal places.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

total_outflow_amount_60d
nullableobjectnullable, object

Total amount of money out of the report's accounts in the last 60 days. This field only takes into account USD transactions from the accounts.

amount
numbernumber

Value of amount with up to 2 decimal places.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

total_outflow_amount_90d
nullableobjectnullable, object

Total amount of money out of the report's accounts in the last 90 days. This field only takes into account USD transactions from the accounts.

amount
numbernumber

Value of amount with up to 2 decimal places.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

warnings
[object][object]

This array contains any information about errors or alerts related to the Base Report that did not block generation of the report.

warning_type
stringstring

The warning type, which will always be BASE_REPORT_WARNING

warning_code
stringstring

The warning code identifies a specific kind of warning.

IDENTITY_UNAVAILABLE: Account-owner information is not available.

TRANSACTIONS_UNAVAILABLE: Transactions information associated with Credit and Depository accounts are unavailable.

USER_FRAUD_ALERT: The User has placed a fraud alert on their Plaid Check consumer report due to suspected fraud. Note: when a fraud alert is in place, the recipient of the consumer report has an obligation to verify the consumer's identity.

Possible values: IDENTITY_UNAVAILABLE, TRANSACTIONS_UNAVAILABLE, USER_FRAUD_ALERT
cause
nullableobjectnullable, object

An error object and associated item_id used to identify a specific Item and error when a batch operation operating on multiple Items has encountered an error in one of the Items.

error_type
stringstring

A broad categorization of the error. Safe for programmatic use.

Possible values: INVALID_REQUEST, INVALID_RESULT, INVALID_INPUT, INSTITUTION_ERROR, RATE_LIMIT_EXCEEDED, API_ERROR, ITEM_ERROR, ASSET_REPORT_ERROR, BASE_REPORT_ERROR, RECAPTCHA_ERROR, OAUTH_ERROR, PAYMENT_ERROR, BANK_TRANSFER_ERROR, INCOME_VERIFICATION_ERROR, MICRODEPOSITS_ERROR, SANDBOX_ERROR, PARTNER_ERROR, SIGNAL_ERROR, TRANSACTIONS_ERROR, TRANSACTION_ERROR, TRANSFER_ERROR, CHECK_REPORT_ERROR, CONSUMER_REPORT_ERROR, USER_ERROR, IDEMPOTENCY_ERROR, ASSETS_ERROR, CRA_MONITORING_ERROR, CREDIT_PROFILE_REPORT_ERROR, ENCOMPASS_ERROR, ENRICH_ERROR, FRAUD_INSIGHTS_ERROR, FREDDIE_MAC_ERROR, LINK_DELIVERY_ERROR, PROFILE_ERROR, RECURRING_TRANSACTIONS_ERROR, STATEMENTS_ERROR, TRANSFER_RECURRING_ERROR, TRANSFER_REFUND_ERROR, CRA_REPORT_ERROR, CRA_PARTNER_INSIGHTS_ERROR
error_code
stringstring

The particular error code. Safe for programmatic use.

error_code_reason
nullablestringnullable, string

The specific reason for the error code. Currently, reasons are only supported for OAuth-based item errors; the field is omitted otherwise. Safe for programmatic use.

Possible values:

OAUTH_INVALID_TOKEN: The user's OAuth connection to this institution has been invalidated.

OAUTH_CONSENT_EXPIRED: The user's access consent for this OAuth connection to this institution has expired.

OAUTH_USER_REVOKED: The user's OAuth connection to this institution is invalid because the user revoked their connection.

error_message
stringstring

A developer-friendly representation of the error code. This may change over time and is not safe for programmatic use.

display_message
nullablestringnullable, string

A user-friendly representation of the error code. null if the error is not related to user action.

This may change over time and is not safe for programmatic use.

request_id
stringstring

A unique ID identifying the request, to be used for troubleshooting purposes. This field will be omitted in errors provided by webhooks.

causes
arrayarray

In this product, a request can pertain to more than one Item. If an error is returned for such a request, causes will return an array of errors containing a breakdown of these errors on the individual Item level, if any can be identified.

causes will be provided for the error_type ASSET_REPORT_ERROR or CHECK_REPORT_ERROR, and for the USER_ERROR codes USER_ITEM_ASSOCIATION_FAILED and USER_ITEM_REMOVAL_FAILED. causes will also not be populated inside an error nested within a warning object.

status
nullableintegernullable, integer

The HTTP status code associated with the error. This will only be returned in the response body when the error information is provided via a webhook.

documentation_url
stringstring

The URL of a Plaid documentation page with more information about the error

suggested_action
nullablestringnullable, string

Suggested steps for resolving the error

required_account_subtypes
[string][string]

A list of the account subtypes that were requested via the account_filters parameter in /link/token/create. Currently only populated for NO_ACCOUNTS errors from Items with investments_auth as an enabled product.

provided_account_subtypes
[string][string]

A list of the account subtypes that were extracted but did not match the requested subtypes via the account_filters parameter in /link/token/create. Currently only populated for NO_ACCOUNTS errors from Items with investments_auth as an enabled product.

item_id
stringstring

The item_id of the Item associated with this webhook, warning, or error

request_id
stringstring

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object
{
  "report": {
    "date_generated": "2024-07-16T01:52:42.912331716Z",
    "days_requested": 365,
    "attributes": {
      "total_inflow_amount": {
        "amount": -2500,
        "iso_currency_code": "USD",
        "unofficial_currency_code": null
      },
      "total_inflow_amount_30d": {
        "amount": -1000,
        "iso_currency_code": "USD",
        "unofficial_currency_code": null
      },
      "total_inflow_amount_60d": {
        "amount": -2500,
        "iso_currency_code": "USD",
        "unofficial_currency_code": null
      },
      "total_inflow_amount_90d": {
        "amount": -2500,
        "iso_currency_code": "USD",
        "unofficial_currency_code": null
      },
      "total_outflow_amount": {
        "amount": 2500,
        "iso_currency_code": "USD",
        "unofficial_currency_code": null
      },
      "total_outflow_amount_30d": {
        "amount": 1000,
        "iso_currency_code": "USD",
        "unofficial_currency_code": null
      },
      "total_outflow_amount_60d": {
        "amount": 2500,
        "iso_currency_code": "USD",
        "unofficial_currency_code": null
      },
      "total_outflow_amount_90d": {
        "amount": 2500,
        "iso_currency_code": "USD",
        "unofficial_currency_code": null
      }
    },
    "items": [
      {
        "accounts": [
          {
            "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
            "account_insights": {
              "average_days_between_transactions": 0.15,
              "average_inflow_amount": [
                {
                  "end_date": "2024-07-31",
                  "start_date": "2024-07-01",
                  "total_amount": {
                    "amount": 1077.93,
                    "iso_currency_code": "USD",
                    "unofficial_currency_code": null
                  }
                }
              ],
              "average_inflow_amounts": [
                {
                  "end_date": "2024-07-31",
                  "start_date": "2024-07-01",
                  "total_amount": {
                    "amount": 1077.93,
                    "iso_currency_code": "USD",
                    "unofficial_currency_code": null
                  }
                },
                {
                  "end_date": "2024-08-31",
                  "start_date": "2024-08-01",
                  "total_amount": {
                    "amount": 1076.93,
                    "iso_currency_code": "USD",
                    "unofficial_currency_code": null
                  }
                }
              ],
              "average_outflow_amount": [
                {
                  "end_date": "2024-07-31",
                  "start_date": "2024-07-01",
                  "total_amount": {
                    "amount": 34.95,
                    "iso_currency_code": "USD",
                    "unofficial_currency_code": null
                  }
                }
              ],
              "average_outflow_amounts": [
                {
                  "end_date": "2024-07-31",
                  "start_date": "2024-07-01",
                  "total_amount": {
                    "amount": 34.95,
                    "iso_currency_code": "USD",
                    "unofficial_currency_code": null
                  }
                },
                {
                  "end_date": "2024-08-31",
                  "start_date": "2024-08-01",
                  "total_amount": {
                    "amount": 0,
                    "iso_currency_code": "USD",
                    "unofficial_currency_code": null
                  }
                }
              ],
              "days_available": 365,
              "longest_gap_between_transactions": [
                {
                  "days": 1,
                  "end_date": "2024-07-31",
                  "start_date": "2024-07-01"
                }
              ],
              "longest_gaps_between_transactions": [
                {
                  "days": 1,
                  "end_date": "2024-07-31",
                  "start_date": "2024-07-01"
                },
                {
                  "days": 2,
                  "end_date": "2024-08-31",
                  "start_date": "2024-08-01"
                }
              ],
              "most_recent_transaction_date": "2024-07-16",
              "number_of_days_no_transactions": 0,
              "number_of_inflows": [
                {
                  "count": 1,
                  "end_date": "2024-07-31",
                  "start_date": "2024-07-01"
                }
              ],
              "number_of_outflows": [
                {
                  "count": 27,
                  "end_date": "2024-07-31",
                  "start_date": "2024-07-01"
                }
              ],
              "oldest_transaction_date": "2024-07-12"
            },
            "balances": {
              "available": 5000,
              "average_balance": 4956.12,
              "average_monthly_balances": [
                {
                  "average_balance": {
                    "amount": 4956.12,
                    "iso_currency_code": "USD",
                    "unofficial_currency_code": null
                  },
                  "end_date": "2024-07-31",
                  "start_date": "2024-07-01"
                }
              ],
              "current": 5000,
              "iso_currency_code": "USD",
              "limit": null,
              "most_recent_thirty_day_average_balance": 4956.125,
              "unofficial_currency_code": null
            },
            "consumer_disputes": [],
            "days_available": 365,
            "mask": "1208",
            "metadata": {
              "start_date": "2024-01-01",
              "end_date": "2024-07-16"
            },
            "name": "Checking",
            "official_name": "Plaid checking",
            "owners": [
              {
                "addresses": [
                  {
                    "data": {
                      "city": "Malakoff",
                      "country": "US",
                      "postal_code": "14236",
                      "region": "NY",
                      "street": "2992 Cameron Road"
                    },
                    "primary": true
                  },
                  {
                    "data": {
                      "city": "San Matias",
                      "country": "US",
                      "postal_code": "93405-2255",
                      "region": "CA",
                      "street": "2493 Leisure Lane"
                    },
                    "primary": false
                  }
                ],
                "emails": [
                  {
                    "data": "accountholder0@example.com",
                    "primary": true,
                    "type": "primary"
                  },
                  {
                    "data": "accountholder1@example.com",
                    "primary": false,
                    "type": "secondary"
                  },
                  {
                    "data": "extraordinarily.long.email.username.123456@reallylonghostname.com",
                    "primary": false,
                    "type": "other"
                  }
                ],
                "names": [
                  "Alberta Bobbeth Charleson"
                ],
                "phone_numbers": [
                  {
                    "data": "+1 111-555-3333",
                    "primary": false,
                    "type": "home"
                  },
                  {
                    "data": "+1 111-555-4444",
                    "primary": false,
                    "type": "work"
                  },
                  {
                    "data": "+1 111-555-5555",
                    "primary": false,
                    "type": "mobile"
                  }
                ]
              }
            ],
            "ownership_type": null,
            "subtype": "checking",
            "transactions": [
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 37.07,
                "check_number": null,
                "credit_category": {
                  "detailed": "GENERAL_MERCHANDISE_ONLINE_MARKETPLACES",
                  "primary": "GENERAL_MERCHANDISE"
                },
                "date": "2024-07-12",
                "date_posted": "2024-07-12T00:00:00Z",
                "date_transacted": "2024-07-12",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": null,
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": null,
                  "state": null,
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "Amazon",
                "original_description": "AMZN Mktp US*11111111 Amzn.com/bill WA AM",
                "pending": false,
                "transaction_id": "XA7ZLy8rXzt7D3j9B6LMIgv5VxyQkAhbKjzmp",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 51.61,
                "check_number": null,
                "credit_category": {
                  "detailed": "DINING_DINING",
                  "primary": "DINING"
                },
                "date": "2024-07-12",
                "date_posted": "2024-07-12T00:00:00Z",
                "date_transacted": "2024-07-12",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": null,
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": null,
                  "state": null,
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "Domino's",
                "original_description": "DOMINO's XXXX 111-222-3333",
                "pending": false,
                "transaction_id": "VEPeMbWqRluPVZLQX4MDUkKRw41Ljzf9gyLBW",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 7.55,
                "check_number": null,
                "credit_category": {
                  "detailed": "GENERAL_MERCHANDISE_FURNITURE_AND_HARDWARE",
                  "primary": "GENERAL_MERCHANDISE"
                },
                "date": "2024-07-12",
                "date_posted": "2024-07-12T00:00:00Z",
                "date_transacted": "2024-07-12",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": "Chicago",
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": null,
                  "state": null,
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "IKEA",
                "original_description": "IKEA CHICAGO",
                "pending": false,
                "transaction_id": "6GQZARgvroCAE1eW5wpQT7w3oB6nvzi8DKMBa",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 12.87,
                "check_number": null,
                "credit_category": {
                  "detailed": "GENERAL_MERCHANDISE_SPORTING_GOODS",
                  "primary": "GENERAL_MERCHANDISE"
                },
                "date": "2024-07-12",
                "date_posted": "2024-07-12T00:00:00Z",
                "date_transacted": "2024-07-12",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": "Redlands",
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": "CA",
                  "state": "CA",
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "Nike",
                "original_description": "NIKE REDLANDS CA",
                "pending": false,
                "transaction_id": "DkbmlP8BZxibzADqNplKTeL8aZJVQ1c3WR95z",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 44.21,
                "check_number": null,
                "credit_category": {
                  "detailed": "DINING_DINING",
                  "primary": "DINING"
                },
                "date": "2024-07-12",
                "date_posted": "2024-07-12T00:00:00Z",
                "date_transacted": "2024-07-12",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": null,
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": null,
                  "state": null,
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": null,
                "original_description": "POKE BROS * POKE BRO IL",
                "pending": false,
                "transaction_id": "RpdN7W8GmRSdjZB9Jm7ATj4M86vdnktapkrgL",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 36.82,
                "check_number": null,
                "credit_category": {
                  "detailed": "GENERAL_MERCHANDISE_DISCOUNT_STORES",
                  "primary": "GENERAL_MERCHANDISE"
                },
                "date": "2024-07-13",
                "date_posted": "2024-07-13T00:00:00Z",
                "date_transacted": "2024-07-13",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": null,
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": null,
                  "state": null,
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "Family Dollar",
                "original_description": "FAMILY DOLLAR",
                "pending": false,
                "transaction_id": "5AeQWvo5KLtAD9wNL68PTdAgPE7VNWf5Kye1G",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 13.27,
                "check_number": null,
                "credit_category": {
                  "detailed": "FOOD_RETAIL_GROCERIES",
                  "primary": "FOOD_RETAIL"
                },
                "date": "2024-07-13",
                "date_posted": "2024-07-13T00:00:00Z",
                "date_transacted": "2024-07-13",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": null,
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": null,
                  "state": null,
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "Instacart",
                "original_description": "INSTACART HTTPSINSTACAR CA",
                "pending": false,
                "transaction_id": "Jjlr3MEVg1HlKbdkZj39ij5a7eg9MqtB6MWDo",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 36.03,
                "check_number": null,
                "credit_category": {
                  "detailed": "DINING_DINING",
                  "primary": "DINING"
                },
                "date": "2024-07-13",
                "date_posted": "2024-07-13T00:00:00Z",
                "date_transacted": "2024-07-13",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": null,
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": null,
                  "state": null,
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": null,
                "original_description": "POKE BROS * POKE BRO IL",
                "pending": false,
                "transaction_id": "kN9KV7yAZJUMPn93KDXqsG9MrpjlyLUL6Dgl8",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 54.74,
                "check_number": null,
                "credit_category": {
                  "detailed": "FOOD_RETAIL_GROCERIES",
                  "primary": "FOOD_RETAIL"
                },
                "date": "2024-07-13",
                "date_posted": "2024-07-13T00:00:00Z",
                "date_transacted": "2024-07-13",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": "Whittier",
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": "CA",
                  "state": "CA",
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "Smart & Final",
                "original_description": "POS SMART AND FINAL 111 WHITTIER CA",
                "pending": false,
                "transaction_id": "lPvrweZAMqHDar43vwWKs547kLZVEzfpogGVJ",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 37.5,
                "check_number": null,
                "credit_category": {
                  "detailed": "DINING_DINING",
                  "primary": "DINING"
                },
                "date": "2024-07-13",
                "date_posted": "2024-07-13T00:00:00Z",
                "date_transacted": "2024-07-13",
                "iso_currency_code": "USD",
                "location": {
                  "address": "1627 N 24th St",
                  "city": "Phoenix",
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": "85008",
                  "region": "AZ",
                  "state": "AZ",
                  "store_number": null,
                  "zip": "85008"
                },
                "merchant_name": "Taqueria El Guerrerense",
                "original_description": "TAQUERIA EL GUERRERO PHOENIX AZ",
                "pending": false,
                "transaction_id": "wka74WKqngiyJ3pj7dl5SbpLGQBZqyCPZRDbP",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 41.42,
                "check_number": null,
                "credit_category": {
                  "detailed": "GENERAL_MERCHANDISE_ONLINE_MARKETPLACES",
                  "primary": "GENERAL_MERCHANDISE"
                },
                "date": "2024-07-14",
                "date_posted": "2024-07-14T00:00:00Z",
                "date_transacted": "2024-07-14",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": null,
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": null,
                  "state": null,
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "Amazon",
                "original_description": "AMZN Mktp US*11111111 Amzn.com/bill WA AM",
                "pending": false,
                "transaction_id": "BBGnV4RkerHjn8WVavGyiJbQ95VNDaC4M56bJ",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": -1077.93,
                "check_number": null,
                "credit_category": {
                  "detailed": "INCOME_OTHER",
                  "primary": "INCOME"
                },
                "date": "2024-07-14",
                "date_posted": "2024-07-14T00:00:00Z",
                "date_transacted": "2024-07-14",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": null,
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": null,
                  "state": null,
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "Lyft",
                "original_description": "LYFT TRANSFER",
                "pending": false,
                "transaction_id": "3Ej78yKJlQu1Abw7xzo4U4JR6pmwzntZlbKDK",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 47.17,
                "check_number": null,
                "credit_category": {
                  "detailed": "FOOD_RETAIL_GROCERIES",
                  "primary": "FOOD_RETAIL"
                },
                "date": "2024-07-14",
                "date_posted": "2024-07-14T00:00:00Z",
                "date_transacted": "2024-07-14",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": "Whittier",
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": "CA",
                  "state": "CA",
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "Smart & Final",
                "original_description": "POS SMART AND FINAL 111 WHITTIER CA",
                "pending": false,
                "transaction_id": "rMzaBpJw8jSZRJQBabKdteQBwd5EaWc7J9qem",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 12.37,
                "check_number": null,
                "credit_category": {
                  "detailed": "FOOD_RETAIL_GROCERIES",
                  "primary": "FOOD_RETAIL"
                },
                "date": "2024-07-14",
                "date_posted": "2024-07-14T00:00:00Z",
                "date_transacted": "2024-07-14",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": "Whittier",
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": "CA",
                  "state": "CA",
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "Smart & Final",
                "original_description": "POS SMART AND FINAL 111 WHITTIER CA",
                "pending": false,
                "transaction_id": "zWPZjkmzynTyel89ZjExS59DV6WAaZflNBJ56",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 44.18,
                "check_number": null,
                "credit_category": {
                  "detailed": "FOOD_RETAIL_GROCERIES",
                  "primary": "FOOD_RETAIL"
                },
                "date": "2024-07-14",
                "date_posted": "2024-07-14T00:00:00Z",
                "date_transacted": "2024-07-14",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": "Portland",
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": "OR",
                  "state": "OR",
                  "store_number": "1111",
                  "zip": null
                },
                "merchant_name": "Safeway",
                "original_description": "SAFEWAY #1111 PORTLAND OR            111111",
                "pending": false,
                "transaction_id": "K7qzx1nP8ptqgwaRMbxyI86XrqADMluRpkWx5",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 45.37,
                "check_number": null,
                "credit_category": {
                  "detailed": "DINING_DINING",
                  "primary": "DINING"
                },
                "date": "2024-07-14",
                "date_posted": "2024-07-14T00:00:00Z",
                "date_transacted": "2024-07-14",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": null,
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": null,
                  "state": null,
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "Uber Eats",
                "original_description": "UBER EATS",
                "pending": false,
                "transaction_id": "qZrdzLRAgNHo5peMdD9xIzELl3a1NvcgrPAzL",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 15.22,
                "check_number": null,
                "credit_category": {
                  "detailed": "GENERAL_MERCHANDISE_ONLINE_MARKETPLACES",
                  "primary": "GENERAL_MERCHANDISE"
                },
                "date": "2024-07-15",
                "date_posted": "2024-07-15T00:00:00Z",
                "date_transacted": "2024-07-15",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": null,
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": null,
                  "state": null,
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "Amazon",
                "original_description": "AMZN Mktp US*11111111 Amzn.com/bill WA AM",
                "pending": false,
                "transaction_id": "NZzx4oRPkAHzyRekpG4PTZkWnBPqEyiy6pB1M",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 26.33,
                "check_number": null,
                "credit_category": {
                  "detailed": "DINING_DINING",
                  "primary": "DINING"
                },
                "date": "2024-07-15",
                "date_posted": "2024-07-15T00:00:00Z",
                "date_transacted": "2024-07-15",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": null,
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": null,
                  "state": null,
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "Domino's",
                "original_description": "DOMINO's XXXX 111-222-3333",
                "pending": false,
                "transaction_id": "x84eNArKbESz8Woden6LT3nvyogeJXc64Pp35",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 39.8,
                "check_number": null,
                "credit_category": {
                  "detailed": "GENERAL_MERCHANDISE_DISCOUNT_STORES",
                  "primary": "GENERAL_MERCHANDISE"
                },
                "date": "2024-07-15",
                "date_posted": "2024-07-15T00:00:00Z",
                "date_transacted": "2024-07-15",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": null,
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": null,
                  "state": null,
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "Family Dollar",
                "original_description": "FAMILY DOLLAR",
                "pending": false,
                "transaction_id": "dzWnyxwZ4GHlZPGgrNyxiMG7qd5jDgCJEz5jL",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 45.06,
                "check_number": null,
                "credit_category": {
                  "detailed": "FOOD_RETAIL_GROCERIES",
                  "primary": "FOOD_RETAIL"
                },
                "date": "2024-07-15",
                "date_posted": "2024-07-15T00:00:00Z",
                "date_transacted": "2024-07-15",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": null,
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": null,
                  "state": null,
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "Instacart",
                "original_description": "INSTACART HTTPSINSTACAR CA",
                "pending": false,
                "transaction_id": "4W7eE9rZqMToDArbPeLNIREoKpdgBMcJbVNQD",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 34.91,
                "check_number": null,
                "credit_category": {
                  "detailed": "FOOD_RETAIL_GROCERIES",
                  "primary": "FOOD_RETAIL"
                },
                "date": "2024-07-15",
                "date_posted": "2024-07-15T00:00:00Z",
                "date_transacted": "2024-07-15",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": "Whittier",
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": "CA",
                  "state": "CA",
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "Smart & Final",
                "original_description": "POS SMART AND FINAL 111 WHITTIER CA",
                "pending": false,
                "transaction_id": "j4yqDjb7QwS7woGzqrgDIEG1NaQVZwf6Wmz3D",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 49.78,
                "check_number": null,
                "credit_category": {
                  "detailed": "FOOD_RETAIL_GROCERIES",
                  "primary": "FOOD_RETAIL"
                },
                "date": "2024-07-15",
                "date_posted": "2024-07-15T00:00:00Z",
                "date_transacted": "2024-07-15",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": "Portland",
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": "OR",
                  "state": "OR",
                  "store_number": "1111",
                  "zip": null
                },
                "merchant_name": "Safeway",
                "original_description": "SAFEWAY #1111 PORTLAND OR            111111",
                "pending": false,
                "transaction_id": "aqgWnze7xoHd6DQwLPnzT5dgPKjB1NfZ5JlBy",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 54.24,
                "check_number": null,
                "credit_category": {
                  "detailed": "FOOD_RETAIL_GROCERIES",
                  "primary": "FOOD_RETAIL"
                },
                "date": "2024-07-15",
                "date_posted": "2024-07-15T00:00:00Z",
                "date_transacted": "2024-07-15",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": "Portland",
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": "OR",
                  "state": "OR",
                  "store_number": "1111",
                  "zip": null
                },
                "merchant_name": "Safeway",
                "original_description": "SAFEWAY #1111 PORTLAND OR            111111",
                "pending": false,
                "transaction_id": "P13aP8b7nmS3WQoxg1PMsdvMK679RNfo65B4G",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 41.79,
                "check_number": null,
                "credit_category": {
                  "detailed": "GENERAL_MERCHANDISE_ONLINE_MARKETPLACES",
                  "primary": "GENERAL_MERCHANDISE"
                },
                "date": "2024-07-16",
                "date_posted": "2024-07-16T00:00:00Z",
                "date_transacted": "2024-07-16",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": null,
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": null,
                  "state": null,
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "Amazon",
                "original_description": "AMZN Mktp US*11111111 Amzn.com/bill WA AM",
                "pending": false,
                "transaction_id": "7nZMG6pXz8SADylMqzx7TraE4qjJm7udJyAGm",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 33.86,
                "check_number": null,
                "credit_category": {
                  "detailed": "FOOD_RETAIL_GROCERIES",
                  "primary": "FOOD_RETAIL"
                },
                "date": "2024-07-16",
                "date_posted": "2024-07-16T00:00:00Z",
                "date_transacted": "2024-07-16",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": null,
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": null,
                  "state": null,
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "Instacart",
                "original_description": "INSTACART HTTPSINSTACAR CA",
                "pending": false,
                "transaction_id": "MQr3ap7PWEIrQG7bLdaNsxyBV7g1KqCL6pwoy",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 27.08,
                "check_number": null,
                "credit_category": {
                  "detailed": "DINING_DINING",
                  "primary": "DINING"
                },
                "date": "2024-07-16",
                "date_posted": "2024-07-16T00:00:00Z",
                "date_transacted": "2024-07-16",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": null,
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": null,
                  "state": null,
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": null,
                "original_description": "POKE BROS * POKE BRO IL",
                "pending": false,
                "transaction_id": "eBAk9dvwNbHPZpr8W69dU3rekJz47Kcr9BRwl",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 25.94,
                "check_number": null,
                "credit_category": {
                  "detailed": "GENERAL_MERCHANDISE_FURNITURE_AND_HARDWARE",
                  "primary": "GENERAL_MERCHANDISE"
                },
                "date": "2024-07-16",
                "date_posted": "2024-07-16T00:00:00Z",
                "date_transacted": "2024-07-16",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": null,
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": null,
                  "state": null,
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": "The Home Depot",
                "original_description": "THE HOME DEPOT",
                "pending": false,
                "transaction_id": "QLx4jEJZb9SxRm7aWbjAio3LrgZ5vPswm64dE",
                "unofficial_currency_code": null
              },
              {
                "account_id": "NZzx4oRPkAHzyRekpG4PTZkoGpNAR4uypaj1E",
                "account_owner": null,
                "amount": 27.57,
                "check_number": null,
                "credit_category": {
                  "detailed": "GENERAL_MERCHANDISE_OTHER_GENERAL_MERCHANDISE",
                  "primary": "GENERAL_MERCHANDISE"
                },
                "date": "2024-07-16",
                "date_posted": "2024-07-16T00:00:00Z",
                "date_transacted": "2024-07-16",
                "iso_currency_code": "USD",
                "location": {
                  "address": null,
                  "city": null,
                  "country": null,
                  "lat": null,
                  "lon": null,
                  "postal_code": null,
                  "region": null,
                  "state": null,
                  "store_number": null,
                  "zip": null
                },
                "merchant_name": null,
                "original_description": "The Press Club",
                "pending": false,
                "transaction_id": "ZnQ1ovqBldSQ6GzRbroAHLdQP68BrKceqmAjX",
                "unofficial_currency_code": null
              }
            ],
            "type": "depository"
          }
        ],
        "date_last_updated": "2024-07-16T01:52:42.912331716Z",
        "institution_id": "ins_109512",
        "institution_name": "Houndstooth Bank",
        "item_id": "NZzx4oRPkAHzyRekpG4PTZkDNkQW93tWnyGeA"
      }
    ],
    "report_id": "f3bb434f-1c9b-4ef2-b76c-3d1fd08156ec"
  },
  "warnings": [],
  "request_id": "FibfL8t3s71KJnj"
}
=*=*=*=

/cra/check_report/income_insights/get

Retrieve income insights from your user's banks

This endpoint allows you to retrieve the Income Insights report for your user. You should call this endpoint after you've received a CHECK_REPORT_READY or a USER_CHECK_REPORT_READY webhook, either after the Link session for the user or after calling /cra/check_report/create. If the most recent consumer report for the user doesn't have sufficient data to generate the report, or the consumer report has expired, you will receive an error indicating that you should create a new consumer report by calling /cra/check_report/create.

NOTE: The following schema was updated in April 2026 to reflect the response when the provided version is "II2". Please see this document for guidance on migrating to II2 if you are currently using the II1 version, and this section for an example II1 response along with its documentation.

/cra/check_report/income_insights/get

Request fields

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

user_token
stringstring

The user token associated with the user for which data is being requested. This field is used only by customers with pre-existing integrations that already use the user_token field. All other customers should use the user_id instead. For more details, see New User APIs.

user_id
stringstring

A unique user identifier, created by /user/create. Integrations that began using /user/create after December 10, 2025 use this field to identify a user instead of the user_token. For more details, see New User APIs.

options
deprecatedobjectdeprecated, object

Deprecated. This field is no longer accepted for new clients (created on or after 2026-07-01). New clients should specify required products when creating the Consumer Report. Existing integrations may continue to pass options.

income_insights_filter
objectobject

Filters the returned income streams based on the specified income categories. If no filters are requested, streams from the following default set of categories are returned:

  • EARNED_INCOME.* (EARNED_INCOME.SALARY, EARNED_INCOME.GIG_ECONOMY, EARNED_INCOME.SELF_EMPLOYED)
  • BENEFITS.DISABILITY
  • RETIREMENT.* (RETIREMENT.GOVERNMENT_DERIVED, RETIREMENT.PRIVATE_RETIREMENT, RETIREMENT.PLAN_DISTRIBUTION)

The final list of income categories is generated by adding the included_categories, then removing the excluded_categories. Priority is given to excluded_categories in the case of collisions.

Filter patterns supported:

  • *: All categories
  • PRIMARY.*: All categories within the specified primary category
  • PRIMARY.SECONDARY: A specific income category

For a list of income categories, see the Income V2 Category Taxonomy.

included_categories
required[string]required, [string]

Includes income streams matching the specified categories.

excluded_categories
[string][string]

Excludes income streams matching the specified categories.

income_insights_version
requiredstringrequired, string

The version of Income Insights to use. Set this to II2. The value applies only to the request it is sent with; a version set in an earlier call, such as /link/token/create or /cra/check_report/create, is not reused.

Possible values: II2
/cra/check_report/income_insights/get
try {
  const response = await client.craCheckReportIncomeInsightsGet({
    user_id: 'usr_9nSp2KuZ2x4JDw',
  });
} catch (error) {
  // handle error
}
/cra/check_report/income_insights/get

Response fields

report
objectobject

The Check Income Insights Report for an end user.

report_id
stringstring

The unique identifier associated with the Check Income Insights Report.

generated_time
stringstring

The time when the Check Income Insights Report was generated.

Format: date-time
days_requested
integerinteger

The number of days requested by the customer for the Check Income Insights Report.

client_report_id
nullablestringnullable, string

Client-generated identifier, which can be used by lenders to track loan applications.

items
[object][object]

The list of Items in the report along with the associated metadata about the Item.

item_id
stringstring

The item_id of the Item associated with this webhook, warning, or error

accounts
[object][object]

The Item's accounts that have bank income data.

account_id
stringstring

Plaid's unique identifier for the account. This value will not change unless Plaid can't reconcile the account with the data returned by the financial institution. This may occur, for example, when the name of the account changes. If this happens a new account_id will be assigned to the account.

If an account with a specific account_id disappears instead of changing, the account is likely closed. Closed accounts are not returned by the Plaid API.

Like all Plaid identifiers, the account_id is case sensitive.

mask
nullablestringnullable, string

The last 2-4 alphanumeric characters of an account's official account number. Note that the mask may be non-unique between an Item's accounts, and it may also not match the mask that the bank displays to the user.

metadata
objectobject

An object containing metadata about the extracted account.

start_date
nullablestringnullable, string

The date of the earliest extracted transaction, in ISO 8601 format ("yyyy-mm-dd").

Format: date
end_date
nullablestringnullable, string

The date of the most recent extracted transaction, in ISO 8601 format ("yyyy-mm-dd").

Format: date
name
stringstring

The name of the bank account.

official_name
nullablestringnullable, string

The official name of the bank account.

subtype
stringstring

Valid account subtypes for depository accounts. For a list containing descriptions of each subtype, see Account schemas.

Possible values: checking, savings, hsa, cd, money market, paypal, prepaid, cash management, ebt, limited purpose checking, all
type
stringstring

The account type. This will always be depository.

Possible values: depository
last_updated_time
stringstring

The time when this Item's data was last retrieved from the financial institution.

Format: date-time
institution_id
stringstring

The unique identifier of the institution associated with the Item.

institution_name
stringstring

The name of the institution associated with the Item.

user_summary
nullableobjectnullable, object

Aggregated summary of all income streams for this user.

income_metrics
[object][object]

List of a user's aggregated income metrics for each currency.

current
nullableobjectnullable, object

Modeled estimate of current income based on recently observed income transactions.

monthly
objectobject

Modeled estimate of the monthly income.

gross_income
numbernumber

Gross Income modeled from trends of observed transactions.

net_income
numbernumber

Net Income estimated from observed transactions.

annual
objectobject

Modeled estimate of the annual income.

gross_income
numbernumber

Gross Income modeled from trends of observed transactions.

net_income
numbernumber

Net Income estimated from observed transactions.

projected
nullableobjectnullable, object

Forward-looking modeled estimate of income based on recent income transactions and trends in active streams.

monthly
objectobject

Modeled estimate of the monthly income.

gross_income
numbernumber

Gross Income modeled from trends of observed transactions.

net_income
numbernumber

Net Income estimated from observed transactions.

annual
objectobject

Modeled estimate of the annual income.

gross_income
numbernumber

Gross Income modeled from trends of observed transactions.

net_income
numbernumber

Net Income estimated from observed transactions.

iso_currency_code
nullablestringnullable, string

The ISO 4217 currency code of the amount or balance.

unofficial_currency_code
nullablestringnullable, string

The unofficial currency code associated with the amount or balance. Always null if iso_currency_code is non-null. Unofficial currency codes are used for currencies that do not have official ISO currency codes, such as cryptocurrencies and the currencies of certain countries.

income_streams
[object][object]

The list of income streams for this user.

income_stream_id
stringstring

A unique identifier for an income stream. If the report is regenerated and a new report_id is created, the new report will have a new set of income_stream_ids.

start_date
stringstring

Minimum of all dates within the specific income stream for days requested by the client. The date will be returned in an ISO 8601 format (YYYY-MM-DD).

Format: date
end_date
stringstring

Maximum of all dates within the specific income stream for days requested by the client. The date will be returned in an ISO 8601 format (YYYY-MM-DD).

Format: date
description
stringstring

The most common name or original description for the underlying income transactions.

insights
objectobject

Modeled insights for a given income stream.

income_category
objectobject

The income category for a given stream. The streams returned in the response will be filtered based on these primary and secondary income categories.

See the Income V2 Category Taxonomy for a full list of income categories.

primary
stringstring

A high level category that communicates the broad category of the stream.

secondary
stringstring

A granular category conveying the stream's intent.

pay_frequency
stringstring

The income pay frequency.

Possible values: WEEKLY, BIWEEKLY, SEMI_MONTHLY, MONTHLY, DAILY, UNKNOWN
income_provider
nullableobjectnullable, object

The object containing data about the income provider.

name
stringstring

The name of the income provider.

is_normalized
booleanboolean

Indicates whether the income provider name is normalized by comparing it against a canonical set of known providers.

status
stringstring

The status of the income sources.

ACTIVE: The income source is active.

INACTIVE: The income source is inactive.

UNKNOWN: The income source status is unknown.

Possible values: ACTIVE, INACTIVE, UNKNOWN
next_payment
nullableobjectnullable, object

Metadata of the income stream's next payment.

date
stringstring

The expected date of the income stream's next payment. The date will be returned in an ISO 8601 format (YYYY-MM-DD).

Format: date
income_metrics
objectobject

Modeled income metrics for a given income stream or user summary.

current
nullableobjectnullable, object

Modeled estimate of current income based on recently observed income transactions.

monthly
objectobject

Modeled estimate of the monthly income.

gross_income
numbernumber

Gross Income modeled from trends of observed transactions.

net_income
numbernumber

Net Income estimated from observed transactions.

annual
objectobject

Modeled estimate of the annual income.

gross_income
numbernumber

Gross Income modeled from trends of observed transactions.

net_income
numbernumber

Net Income estimated from observed transactions.

projected
nullableobjectnullable, object

[...]
